%global realname openAV-Luppp

Name:       openav-luppp
Version:    1.0
Release:    5%{?dist}
Summary:    Live performance mixing tool
License:    GPLv3
URL:        http://openavproductions.com/Luppp
Source0:    https://github.com/harryhaaren/openAV-Luppp/archive/release-1.0.tar.gz
Source1:    loop.svg
Source2:    luppp.desktop
Source3:    luppp.appdata.xml

BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: appdata-tools
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: cairo-devel
BuildRequires: liblo-devel
BuildRequires: libsndfile-devel
BuildRequires: libsamplerate-devel
BuildRequires: non-ntk-devel

Requires: hicolor-icon-theme

%description
Luppp is a music creation tool, intended for live use. It focuses on
real time processing and a fast intuitive workflow. It uses Jack
for audio output.

%prep
%autosetup -n %{realname}-release-%{version}
sed -i 's/SET(CMAKE_CXX_FLAGS ".*")/SET(CMAKE_CXX_FLAGS "%{optflags}")/' src/CMakeLists.txt
sed -i 's/SET(CMAKE_C_FLAGS ".*")/SET(CMAKE_C_FLAGS "%{optflags}")/' src/CMakeLists.txt

%build
echo '#define GIT_VERSION "%{version}-%{release}"' > src/version.hxx
pushd build
%cmake -DRELEASE_BUILD=1 ../
make %{?_smp_mflags}

%install
install -p -D build/src/luppp %{buildroot}%{_bindir}/luppp
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -av resources/controllers %{buildroot}%{_datadir}/%{name}/
cp -av src/resources/luppp.prfs %{buildroot}%{_datadir}/%{name}/
install -p -Dm0644 %SOURCE1 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/luppp.svg
install -p -Dm0644 %SOURCE3 %{buildroot}%{_datadir}/appdata/luppp.appdata.xml

desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ %{SOURCE2}

# Note, but ignore appdata validation for now
appdata-validate %{buildroot}%{_datadir}/appdata/luppp.appdata.xml || :

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

/usr/bin/update-desktop-database &> /dev/null || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

/usr/bin/update-desktop-database &> /dev/null || :

%files
%{_bindir}/luppp
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/*.appdata.xml
%doc LICENSE CHANGELOG README.md

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 10 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-3
- Install .desktop file properly and extend %%post/%%postun
- Update Requires and BuildRequires
- Preserve timestamps

* Mon Feb 10 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-2
- Tweak .desktop file

* Fri Dec 13 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-1
- Initial package
